#include <iostream>
#include <vector>
#include <bits/stdc++.h>

using namespace std;

vector<int> v;

int nadji(int broj, int mesto) {
    for (int i = v.size()-1; i > mesto; i--) {
        if (v[i] == broj) {
            return i;
        }
    }

    return -1;
}

int main() {
    int n;
    cin >> n;

    for (int i = 0; i < n; i++) {
        int ulaz;
        cin >> ulaz;
        v.push_back(ulaz);
    }

    if (n == 2) {
        cout << v[1] << " " << v[0];
        return false;
    }

    for (int i = 0; i < n; i++) {
        int uporedjujemo = v[i];
        int najveceElement = *max_element(v.begin()+i, v.end());
        if (najveceElement > uporedjujemo) {
            v[nadji(najveceElement, i)] = uporedjujemo;
            v[i] = najveceElement;
            break;
        }
    }

    for (int i = 0; i < n; i++) {
        cout << v[i] << " ";
    }

    return 0;
}